edu.cmu.pslc.logging

## Class PlainMessage

- java.lang.Object
- - edu.cmu.pslc.logging.Message
  - - edu.cmu.pslc.logging.PlainMessage

-     public final class PlainMessage
      extends Message

  The plain message is not a tutor or tool message.
  Version:
    $Revision: 9303 $
    Last modified by: $Author: mkomisin $
    Last modified on: $Date: 2013-05-30 11:30:09 -0400 (Thu, 30 May 2013) $
  Author:
    Alida Skogsholm

- - ### Field Summary

    - ### Fields inherited from class edu.cmu.pslc.logging.Message

      `ATTEMPT, CONTEXT_MSG_ELEMENT, CURRICULUM_MSG_ELEMENT, HINT_MESSAGE, HINT_REQUEST, MSG_ELEMENT, MSG_SEQUENCE_ELEMENT, RESULT, TOOL_MSG_ELEMENT, TUTOR_MSG_ELEMENT, VERSION_NUMBER, VERSION_NUMBER_ATTR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(PropertyElement propertyElement)` Add property given the property element.
    `void` | `addProperty(java.lang.String name, java.lang.String entry)` Add property given the name and entry.
    `static PlainMessage` | `create(ContextMessage contextMessage)` Creates a new plain message.
    `java.lang.String` | `toString()` To string method called and displays meta element.
    `java.lang.String` | `toString(boolean logMetaFlag)` To string method.

    - ### Methods inherited from class edu.cmu.pslc.logging.Message

      `generateGUID, getContextMessageId, getMetaElement, getSessionId, getSource, getTimeString, getTimeZone, getUserId, setContextMessageId, setSource, setTimeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static PlainMessage create(ContextMessage contextMessage)

      Creates a new plain message.
      Parameters:
        `contextMessage` - the context message
      Returns:
        the plain message

    - #### addProperty

          public void addProperty(java.lang.String name,
                         java.lang.String entry)

      Add property given the name and entry.
      Parameters:
        `name` - the name
        `entry` - the entry

    - #### addProperty

          public void addProperty(PropertyElement propertyElement)

      Add property given the property element.
      Parameters:
        `propertyElement` - the property element

    - #### toString

          public java.lang.String toString()

      To string method called and displays meta element.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string to display

    - #### toString

          public java.lang.String toString(boolean logMetaFlag)

      To string method.
      Specified by:
        `toString` in class `Message`
      Parameters:
        `logMetaFlag` - whether to display the meta element
      Returns:
        the string to display

Copyright (c) 2015 - Pittsburgh Science of Learning Center